CHOWN(1)

NAVN
chown - change file owner and group

OVERSIKT
chown [VALG]... [EIER][:[GRUPPE]] FIL...
chown [VALG]... --reference=RFIL FIL...

BESKRIVELSE
This manual page documents the GNU version of chown. chown changes the user and/or group ownership of each given file. If only an owner (a user name or numeric user ID) is given, that user is made the owner of each given file, and the files' group is not changed. If the owner is followed by a colon and a group name (or numeric group ID), with no spaces between them, the group ownership of the files is changed as well. If a colon but no group name follows the user name, that user is made the owner of the files and the group of the files is changed to that user's login group. If the colon and group are given, but the owner is omitted, only the group of the files is changed; in this case, chown performs the same function as chgrp. If only a colon is given, or if the entire operand is empty, neither the owner nor the group is changed.

VALG

Endre eieren og/eller gruppetilhørigheten for hver FIL til EIER og/eller GRUPPE. Bruk --reference for å endre eier og gruppetilhørighet for FILene i henhold til RFIL.

-c, --changes
    Tilsvarer --verbose, men rapporterer kun endringer.

-f, --silent, --quiet
    La være å skrive ut de fleste typer feilmeldinger.

-v, --verbose
    Skriv ut diagnostikk for behandlede filer.

--dereference
    Endre lenkemål i stedet for symbolske lenker (standard).

-h, --no-dereference
    Endre symbolske lenker i stedet for lenkemål (dette er bare nyttig på systemer som kan endre eierskap til symbolske lenker).

--from=GJELDENDE_EIER:GJELDENDE_GRUPPE
    change the ownership of each file only if its current owner and/or group match those specified here. Either may be omitted, in which case a match is not required for the omitted attribute

--no-preserve-root
    Ikke gi «/» spesialbehandling (standard).

--preserve-root
    Avvis rekursiv behandling på stien «/».

--reference=RFIL
    use RFILE's ownership rather than specifying values. RFILE is always dereferenced if a symbolic link.

-R, --recursive
    Behandle filer og mapper rekursivt.

The following options modify how a hierarchy is traversed when the -R option is also specified. If more than one is specified, only the final one takes effect. -P is the default.

-H  Hvis et argument er en symbolsk lenke som peker på en mappe, skal mappa gjennomgås.

-L  Gå gjennom hver symbolske lenke som dukker opp, og som peker på en mappe.

-P  Ikke gå gjennom symbolske lenkemål.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Eier forblir uendret hvis dette mangler. Det samme gjelder gruppetilhørighet, men sistnevnte endres til innloggingsgruppe hvis det impliseres av et «:» og deretter en symbolsk EIER. Både EIER and GRUPPE kan angis med tall- eller symbolverdier.

EKSEMPLER

chown root /u
    Endrer eierskapet på mappa «/u» til brukeren «root».

chown root:stab /u
    Som over, men endrer også gruppeeierskapet til gruppa «stab».

chown -hR root /u
    Endre eierskapet på mappa «/u», og alle filer og mapper inni «/u», til brukeren «root».

FORFATTER
Skrevet av David MacKenzie og Jim Meyering.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
chown(2)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/chown>
eller lokalt: info '(coreutils) chown invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.